net.sf.jasperreports.export

## Class SimpleXmlExporterOutput

- java.lang.Object
- - net.sf.jasperreports.export.SimpleWriterExporterOutput
  - - net.sf.jasperreports.export.SimpleXmlExporterOutput

- All Implemented Interfaces:
    ExporterOutput, WriterExporterOutput, XmlExporterOutput

      public class SimpleXmlExporterOutput
      extends SimpleWriterExporterOutput
      implements XmlExporterOutput

  Version:
    $Id: SimpleXmlExporterOutput.java 6700 2013-11-08 10:22:28Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `PROPERTY_CHARACTER_ENCODING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleXmlExporterOutput(java.io.File file)`
    `SimpleXmlExporterOutput(java.io.File file, java.lang.String encoding)`
    `SimpleXmlExporterOutput(java.io.OutputStream outputStream)`
    `SimpleXmlExporterOutput(java.io.OutputStream outputStream, java.lang.String encoding)`
    `SimpleXmlExporterOutput(java.lang.String fileName)`
    `SimpleXmlExporterOutput(java.lang.StringBuffer sbuffer)`
    `SimpleXmlExporterOutput(java.lang.String fileName, java.lang.String encoding)`
    `SimpleXmlExporterOutput(java.io.Writer writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isEmbeddingImages()` Returns a boolean value specifying whether images should be store internally or rather as files on disk.
    `void` | `setEmbeddingImages(java.lang.Boolean isEmbeddingImages)`

    - ### Methods inherited from class net.sf.jasperreports.export.SimpleWriterExporterOutput

      `close, getEncoding, getWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.export.WriterExporterOutput

      `close, getEncoding, getWriter`

- - ### Constructor Detail

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.lang.StringBuffer sbuffer)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.io.Writer writer)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.io.OutputStream outputStream)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.io.OutputStream outputStream,
                                 java.lang.String encoding)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.io.File file)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.io.File file,
                                 java.lang.String encoding)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.lang.String fileName)

    - #### SimpleXmlExporterOutput

          public SimpleXmlExporterOutput(java.lang.String fileName,
                                 java.lang.String encoding)

  - ### Method Detail

    - #### isEmbeddingImages

          public java.lang.Boolean isEmbeddingImages()

      Description copied from interface: `XmlExporterOutput`
      Returns a boolean value specifying whether images should be store internally or rather as files on disk.
      Specified by:
        `isEmbeddingImages` in interface `XmlExporterOutput`

    - #### setEmbeddingImages

          public void setEmbeddingImages(java.lang.Boolean isEmbeddingImages)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com